Package it.ernytech.tdlib

## Class TdApi.Proxy

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Proxy

Direct Known Subclasses:
  `TdApi.ProxyEmpty`, `TdApi.ProxySocks5`

Enclosing class:
  TdApi

    public abstract static class TdApi.Proxy
    extends TdApi.Object

This class is an abstract base class. Contains information about a proxy server.

### Constructor Summary

Constructors
`Proxy()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### Proxy

    public Proxy()